import { type TableDisplayMode } from "../../../../fd-toolbox/enums/enums";
import { Func, VoidFunc } from "../../../../fd-toolbox/functions/internal-getter-setter-functions";
import { CellContext, RowContext } from "../table-models";
import { WithId } from "../../../../fd-toolbox-core/types/resource-with-id";
export declare function onInitTableBody(bodyCellTestGroup: string, setBodyCellTestGroupState: Func<string, void>, setCellContexts: Func<CellContext[], void>, setBodyCellClasses: Func<string[], void>, rowContext?: RowContext, display?: TableDisplayMode): void;
export declare function onRowClick(rowContext?: RowContext): void;
/** @internal */
export declare function getRowId(index?: number, context?: RowContext, suffix?: string): string;
export declare function handleRowClick(rowContext?: RowContext, cellClick?: VoidFunc<WithId>): void;
export declare function applyResizableTableBodyLayout(columnWidths: number[], setLayout: VoidFunc<number[]>): void;
